API Reference
=============

This page contains the API reference for pypomp.

Core Classes
------------

.. toctree::
   :maxdepth: 2

   pomp
   panelpomp
   parameters

Model Components
----------------

.. toctree::
   :maxdepth: 2

   model_struct
   par_trans
   rw_sigma

Estimation and Inference
------------------------

.. toctree::
   :maxdepth: 2

   mif
   pfilter
   train
   mcap
   simulate
   mop

Utilities
---------

.. toctree::
   :maxdepth: 2

   util
   random

Example Models
--------------

.. toctree::
   :maxdepth: 2

   examples

